## catch 1.1.3+gitc51e8681

=== debian/changelog ===
catch (1.1.3+gitc51e8681-1) unstable; urgency=medium

  * Imported Upstream version 1.1.3+gitc51e8681 (Closes: #787187).
  * Use new version scheme and fix get-orig-source
  * Document get-orig-source in copyright
  * Standards-Version 3.9.6

 -- Jérémy Lal <kapouer@melix.org>  Sun, 31 May 2015 15:39:57 +0200
