=== debian/changelog ===
catch (1.2.0-1) unstable; urgency=medium

  * Imported Upstream version 1.2.0
  * Upstream now committed to semantic versioning

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Jun 2015 21:20:41 +0200
