## catch 1.10.0

=== debian/changelog ===
catch (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0 (Closes: #875756)
  * Update Vcs-* fields
  * debhelper 10
  * Standards-Version 4.1.0
  * Build-Depends cmake
  * Build-Depends g++ to avoid clang bug #871011

 -- Jérémy Lal <kapouer@melix.org>  Thu, 14 Sep 2017 13:59:44 +0200
