=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 8),
+ g++ (>= 7),
+ cmake,
+ debhelper (>= 10),
  python
-Standards-Version: 3.9.6
+Standards-Version: 4.1.0
 Homepage: https://github.com/philsquared/Catch
-Vcs-Git: git://anonscm.debian.org/collab-maint/catch.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/catch.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/nodejs.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/catch.git
 
 Package: catch
 Architecture: any
