=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/catch-$1.tar.gz/,\
dversionmangle=s/\+m\d+git\S+$// \
https://github.com/philsquared/Catch/releases .*/v?(\d\S*)\.tar\.gz
