## catch 1.12.1

=== debian/changelog ===
catch (1.12.1-1ubuntu1) focal; urgency=medium

  * Build using python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 11:41:10 +0200

catch (1.12.1-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Fix Vcs-Git URL

  [ Jérémy Lal ]
  * Watch major 1
  * Update Homepage url
  * New upstream version 1.12.1
  * Migrate to salsa.debian.org, update Vcs-* url

 -- Jérémy Lal <kapouer@melix.org>  Thu, 22 Mar 2018 16:12:32 +0100
