=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  g++ (>= 7),
  cmake,
  debhelper (>= 10),
- python
+ python2
 Standards-Version: 4.1.0
-Homepage: https://github.com/philsquared/Catch
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/nodejs.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/catch.git
+Homepage: https://github.com/catchorg/Catch2
+Vcs-Git: https://salsa.debian.org/debian/catch.git
+Vcs-Browser: https://salsa.debian.org/debian/catch
 
 Package: catch
 Architecture: any
