=== debian/changelog ===
catch (1.12.2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump CMake policy version (Closes: #1112765)
  * Bump Standards-Version to 4.7.2
  * Migrate debian/watch to version 5 format

 -- Timo Röhling <roehling@debian.org>  Thu, 25 Sep 2025 23:10:50 +0200

catch (1.12.2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark catch as Multi-Arch: foreign (Closes: #1023089)
  * Bump Standards-Version to 4.7.0

 -- Timo Röhling <roehling@debian.org>  Thu, 18 Apr 2024 00:29:32 +0200

catch (1.12.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jérémy Lal ]
  * New upstream version 1.12.2
  * Fix Python 3 build

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Timo Röhling ]
  * Work around missing SIGSTKSZ with glib 2.34 (Closes: #993515)
    Thanks to Drew Parsons for the patch.
  * Bump Standards-Version to 4.6.1

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Aug 2022 10:38:49 +0200

catch (1.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Kunal Mehta ]
  * Build using Python 3 (Closes: #942960)

 -- Matthias Klose <doko@debian.org>  Mon, 08 Mar 2021 12:23:30 +0100
