=== debian/control ===
--- 
+++ 
@@ -6,14 +6,16 @@
  g++ (>= 7),
  cmake,
  debhelper (>= 10),
- python2
-Standards-Version: 4.1.0
+ python3,
+ python3-urllib3
+Standards-Version: 4.7.2
 Homepage: https://github.com/catchorg/Catch2
 Vcs-Git: https://salsa.debian.org/debian/catch.git
 Vcs-Browser: https://salsa.debian.org/debian/catch
 
 Package: catch
-Architecture: any
+Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends}
 Description: C++ Automated Test Cases in Headers
