=== debian/watch ===
Version: 5

Template: Github
Owner: catchorg
Project: Catch2
Source: https://api.github.com/repos/catchorg/Catch2/git/matching-refs/tags/v1\.
Uversion-Mangle: s/-dev/~dev/
