## catch 1.12.2.1

=== debian/changelog ===
catch (1.12.2.1-deepin) unstable; urgency=medium

  * release 1.12.2.1-deepin

 -- <lvpeilong@uniontech.com>  Wed, 19 Oct 2022 14:47:06 +0800
